Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.provider.java.security
Class JSSMessageDigestSpi

    java.lang.Object
      java.security.MessageDigestSpi
          org.mozilla.jss.provider.java.security.JSSMessageDigestSpi

Direct Known Subclasses:
  JSSMessageDigestSpi.MD2, JSSMessageDigestSpi.MD5, JSSMessageDigestSpi.SHA1, JSSMessageDigestSpi.SHA256, JSSMessageDigestSpi.SHA384, JSSMessageDigestSpi.SHA512

    public abstract class JSSMessageDigestSpi

extends java.security.MessageDigestSpi

Nested Class Summary
`static class` | `JSSMessageDigestSpi.MD2`
`static class` | `JSSMessageDigestSpi.MD5`
`static class` | `JSSMessageDigestSpi.SHA1`
`static class` | `JSSMessageDigestSpi.SHA256`
`static class` | `JSSMessageDigestSpi.SHA384`
`static class` | `JSSMessageDigestSpi.SHA512`

Constructor Summary
`protected` | `JSSMessageDigestSpi(DigestAlgorithm alg)`

Method Summary
`java.lang.Object` | `clone()`
`byte[]` | `engineDigest()`
`int` | `engineDigest(byte[] buf, int offset, int len)`
`int` | `engineGetDigestLength()`
`void` | `engineReset()`
`void` | `engineUpdate(byte input)`
`void` | `engineUpdate(byte[] input, int offset, int len)`

Methods inherited from class java.security.MessageDigestSpi
`engineUpdate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSSMessageDigestSpi

    protected JSSMessageDigestSpi(DigestAlgorithm alg)

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.security.MessageDigestSpi`
  Throws:
    `java.lang.CloneNotSupportedException`

### engineDigest

    public byte[] engineDigest()

  Specified by:
    `engineDigest` in class `java.security.MessageDigestSpi`

### engineDigest

    public int engineDigest(byte[] buf,
                            int offset,
                            int len)
                     throws java.security.DigestException

  Overrides:
    `engineDigest` in class `java.security.MessageDigestSpi`
  Throws:
    `java.security.DigestException`

### engineGetDigestLength

    public int engineGetDigestLength()

  Overrides:
    `engineGetDigestLength` in class `java.security.MessageDigestSpi`

### engineReset

    public void engineReset()

  Specified by:
    `engineReset` in class `java.security.MessageDigestSpi`

### engineUpdate

    public void engineUpdate(byte input)

  Specified by:
    `engineUpdate` in class `java.security.MessageDigestSpi`

### engineUpdate

    public void engineUpdate(byte[] input,
                             int offset,
                             int len)

  Specified by:
    `engineUpdate` in class `java.security.MessageDigestSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD